// Pseudo classes ES2015/ES2016
class Balle {
	constructor(x, y, r, couleur) {
		this.x = x;
		this.y = y;
		this.r = r;
		this.couleur = couleur;
	}

	draw(ctx) {
		ctx.save();
		ctx.beginPath();
		ctx.arc(this.x, this.y, this.r,
			    0, 2*Math.PI);
		ctx.fillStyle = this.couleur;
		ctx.fill();

		ctx.restore();
	}
}

function creerDesBalles(n) {
   for(var i=0; i < n; i++) {
    tableauBalles[i] = new Balle(w*Math.random(),
                                 h*Math.random(),
                                 5+Math.random()*5,
                                 "black");
  }
}

function drawBalles(ctx, tab) {
   for(var i=0; i < tab.length; i++) {
      tab[i].draw(ctx);
   }
}